/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

@font-face {
    font-family: 'hk-demo';
    src: url('fonts/hk-demo.eot');
    src: url('fonts/hk-demo.eot#iefix') format('embedded-opentype'), url('fonts/hk-demo.woff') format('woff'), url('fonts/hk-demo.ttf') format('truetype'), url('fonts/hk-demo.svg#hk-demo') format('svg');
    font-weight: normal;
    font-style: normal;
}

.demo-wrapper {}

.demo-wrapper .header {
    text-align: center;
    line-height: 55px;
    width: 100%;
    height: 50px;
    color: #fff;
    text-shadow: 0 0 0 rgba(255, 255, 255, 0);
    position: relative;
}

.demo-wrapper .header .title {
    font-family: 'Georgia';
    color: black !important;
}

.demo-wrapper .header a,
.demo-wrapper .header a:hover,
.demo-wrapper .header a:active {
    color: #fff !important;
    text-decoration: none;
    font-family: 'hk-demo';
    background-color: rgba(0, 0, 0, 0);
    font-size: 17px;
    font-weight: normal;
}

.demo-wrapper .open a,
.demo-wrapper .open a:hover {
    padding: 7px 15px;
    color: black !important;
    border-radius: 3px;
}

.demo-wrapper .header .open {
    color: #fff;
    position: absolute;
}

.demo-wrapper .header .open.left {
    left: 20px;
    cursor: pointer;
}

.demo-wrapper .header .open.right {
    right: 20px;
    cursor: pointer;
}

.demo-wrapper .panel {
    background: white;
    color: black;
}

.demo-wrapper .panel a {
    color: black !important;
    text-shadow: 0 0 0 rgba(0, 0, 0, 0);
    font-size: 14px;
    padding: 15px 20px 15px 20px;
    display: block;
    text-decoration: none;
    border-bottom: 1px solid black;
    border-top: 1px solid black;
    position: relative;
    font-weight: 400;
}

.demo-wrapper .panel ul {
    padding: 0;
    margin: 0;
    list-style: none;
    border-bottom: 1px solid #95A5A6;
}

.demo-wrapper .panel .avatar {
    position: absolute;
    top: 8px;
    left: 20px;
}

.demo-wrapper .ui-panel-inner {
    padding: 0;
}

.demo-wrapper .panel a:hover {
    background-color: #95A5A6;
}

.demo-wrapper .panel.right a:before {
    content: '';
    display: block;
    width: 12px;
    height: 12px;
    border-radius: 50%;
    position: absolute;
    background-color: #2ECC71;
    right: 20px;
}

.demo-wrapper .panel.left a:before {
    content: '';
    display: inline-block;
    position: absolute;
    width: 24px;
    height: 24px;
    top: 15px;
    left: 20px;
    font-family: 'hk-demo';
    text-align: center;
    font-size: 18px;
}

html,
body {
    height: 100%;
    margin: 0;
    padding: 0;
}

.app-page {
    min-height: 100%;
}

.app-header {
    position: fixed;
    z-index: 10;
    top: 0;
    left: 0;
    right: 0;
    height: 42px;
    line-height: 42px;
    text-align: center;
}

.app-header h1 {
    margin: 0;
    padding: 0 12px;
    font-size: 20px;
}

.app-tab {
    display: none;
    padding-top: 52px;
    padding-bottom: 64px;
}

.app-tab-active {
    display: block;
}


/* Mobiscroll Theme */

.mbsc-mobiscroll .app-header {
    background: #4eccc4;
    color: #fff;
}


/* iOS Theme */

.mbsc-ios .app-header {
    border-bottom: 1px solid #ccc;
    background: #f7f7f7;
    color: #000;
}

.mbsc-ios .app-header h1 {
    font-size: 17px;
}

.mbsc-ios .app-tab {
    padding-top: 42px;
    padding-bottom: 56px;
}

.mbsc-ios .app-tab-home .mbsc-divider {
    margin-bottom: -1px;
}


/* Material Theme */

.mbsc-material .app-header {
    background: #009688;
    color: #fff;
}

.mbsc-material .app-tab {
    padding-bottom: 64px;
}


/* WP Theme */

.mbsc-wp .app-header {
    background: #f8f8f8;
    color: #000;
    text-align: left;
}

.mbsc-wp .app-tab {
    padding-bottom: 64px;
}

.mbsc-wp .app-tab .mbsc-lv-cont .mbsc-lv .mbsc-lv-item {
    padding-left: 4.375em;
}

.mbsc-wp .app-tab .mbsc-lv-cont .mbsc-lv .mbsc-checkbox-box {
    left: 2.5em;
}


/* Android Holo Theme */

.mbsc-android-holo .app-header {
    background: #31b7e8;
    color: #fff;
}

.mbsc-android-holo .app-tab {
    padding-bottom: 71px;
}